SDL_GetEnvironmentVariable(3)

NAME
SDL_GetEnvironmentVariable - Get the value of a variable in the environment.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetEnvironmentVariable(SDL_Environment *env, const char *name);

FUNCTION PARAMETERS

env the environment to query.

name
    the name of the variable to get.

RETURN VALUE
Returns a pointer to the value of the variable or NULL if it can't be found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetEnvironment(3), •(3), SDL_CreateEnvironment(3), •(3), SDL_GetEnvironmentVariables(3), •(3), SDL_SetEnvironmentVariable(3), •(3), SDL_UnsetEnvironmentVariable(3)